*,
::after,
::before {
  box-sizing: border-box;
}

:root {
  --black-color: black;
  --white-color: white;
  --blue-color: #1d1283;
}

body {
  font-family: 'Roboto', sans-serif;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  height: 100vh;
}

#tasksNav {
  background-color: #1d1283;
  padding: 10px;
  height: 40px;
}

#createTask {
  color: white;
  padding-left: 50%;
  text-decoration: none;
  font-size: large;
}

.buttonSection {
  height: 80vh;
  display: flex;
  justify-content: center;
  align-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

button {
  width: 250px;
  cursor: pointer;
}

.create-task-btn {
  color: black;
  font-weight: 500;
  font-size: larger;
  background-color: white;
  border: 2px solid black;
  border-radius: 5px;
  padding: 10px 50px;
  cursor: pointer;
  transition: all 0.5s ease;
  outline: none;
}
.create-task-btn:hover {
  color: white;
  background-color: #1d1283;
  border-color: transparent;
}

/* profile section */
.profileSection {
  height: 80vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.profile-task-btn {
  color: black;
  font-weight: 500;
  font-size: larger;
  background-color: white;
  border: 2px solid black;
  border-radius: 5px;
  padding: 10px 50px;
  cursor: pointer;
  transition: all 0.5s ease;
}
.profile-task-btn:hover {
  color: white;
  background-color: #1d1283;
  border-color: transparent;
}
#user-management-link {
  color: black;
  font-weight: 500;
  font-size: larger;
  background-color: var(--white-color);
  border: 2px solid var(--black-color);
  border-radius: 5px;
  padding: 10px 50px;
  cursor: pointer;
  transition: all 0.5s ease;
  width: 270px;
  text-decoration: none;
}
#user-management-link:hover {
  color: var(--white-color);
  background-color: var(--blue-color);
  border-color: transparent;
}

/* Extension Requests */
#extension-requests-link {
  color: black;
  font-weight: 500;
  font-size: larger;
  background-color: var(--white-color);
  border: 2px solid var(--black-color);
  border-radius: 5px;
  padding: 10px 50px;
  cursor: pointer;
  transition: all 0.5s ease;
  width: max-content;
  text-decoration: none;
}
#extension-requests-link:hover {
  color: var(--white-color);
  background-color: var(--blue-color);
  border-color: transparent;
}

/* Online-members */
.online-members-link {
  color: black;
  font-weight: 500;
  font-size: larger;
  border: 2px solid black;
  border-radius: 5px;
  padding: 10px 50px;
  transition: all 0.5s ease;
}

.online-members-link:hover {
  color: white;
  background-color: #1d1283;
  border-color: transparent;
}

/* Online-members */
.info-repo {
  font-weight: 100;
  padding: auto;
  text-align: center;
}

footer {
  margin-top: auto;
}

.element-display-remove {
  display: none;
}

.action-button {
  color: var(--black-color);
  font-weight: 500;
  font-size: larger;
  background-color: var(--white-color);
  border: 2px solid var(--black-color);
  border-radius: 0.31rem;
  padding: 0.62rem 3.12rem;
  cursor: pointer;
  transition: all 0.5s ease;
  outline: none;
  text-decoration: none;
  color: var(--black-color);
}

.action-button:hover {
  color: var(--white-color);
  background-color: var(--blue-color);
  border: none;
}
